/*=============================================
REVISAR SI LA MARCA YA ESTÁ REGISTRADO
=============================================*/

$("#nuevaMarca").change(function(){

	$(".alert").remove();

	var marca = $(this).val();

	var datos = new FormData();
	datos.append("validarMarca", marca);

	 $.ajax({
	    url:"ajax/marcas.ajax.php",
	    method:"POST",
	    data: datos,
	    cache: false,
	    contentType: false,
	    processData: false,
	    dataType: "json",
	    success:function(respuesta){
	    	
	    	if(respuesta){

	    		$("#nuevaMarca").parent().after('<div class="alert alert-warning">Esta Marca ya existe en la base de datos</div>');

	    		$("#nuevaMarca").val("");

	    	}

	    }

	})
})

/*=============================================
EDITAR MARCA
=============================================*/
$(document).on("click", ".btnEditarMarca", function(){

	var idMarca = $(this).attr("idMarca");
	
	var datos = new FormData();
	datos.append("idMarca", idMarca);

	$.ajax({

		url:"ajax/marcas.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
			
			$("#editarMarca").val(respuesta["descripcion"]);
            $("#idMarca").val(respuesta["id"]);

			var datosProveedor = new FormData();
            datosProveedor.append("idProveedor", respuesta["proveedor"]);

            $.ajax({

                url:"ajax/proveedor.ajax.php",
                method: "POST",
                data: datosProveedor,
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function(respuesta){

                    $("#editarproveedor").val(respuesta["id"]);
                    $("#editarproveedor").html(respuesta["razon_social"]);
                }

            })
			

		}

	});

})
/*=============================================
ELIMINAR MARCA
=============================================*/
$(document).on("click", ".btnEliminarMarca", function(){

	var idMarca = $(this).attr("idMarca");
  
	swal({
	  title: '¿Está seguro de borrar la Marca?',
	  text: "¡Si no lo está puede cancelar la accíón!",
	  type: 'warning',
	  showCancelButton: true,
	  confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: 'Cancelar',
		confirmButtonText: 'Si, borrar Marca!'
	}).then(function(result){
  
	  if(result.value){
  
		window.location = "index.php?ruta=marcas&idMarca="+idMarca;
  
	  }
  
	})
  
  })

  $(".marca").change(function(){

	$(".alert").remove();
	var input = $(this).val();

	if(input.length < 4) {

		$(".marca").parent().after('<div class="alert alert-warning">LA MARCA DEBE CONTENER MINIMO 4 LETRAS </div>');

		$(".marca").val("");
	}
	
})